=== modified file 'include/my_pthread.h'
--- include/my_pthread.h	2008-06-28 06:00:33 +0000
+++ include/my_pthread.h	2008-06-30 05:43:45 +0000
@@ -412,7 +412,6 @@
 
 struct st_my_thread_var
 {
-  int thr_errno;
   pthread_cond_t suspend;
   pthread_mutex_t mutex;
   pthread_mutex_t * volatile current_mutex;
@@ -433,7 +432,6 @@
 extern struct st_my_thread_var *_my_thread_var(void) __attribute__ ((const));
 extern uint my_thread_end_wait_time;
 #define my_thread_var (_my_thread_var())
-#define my_errno my_thread_var->thr_errno
 /*
   Keep track of shutdown,signal, and main threads so that my_end() will not
   report errors with them

=== modified file 'include/my_sys.h'
--- include/my_sys.h	2008-06-30 00:50:44 +0000
+++ include/my_sys.h	2008-06-30 05:43:45 +0000
@@ -25,9 +25,10 @@
 } my_aio_result;
 #endif
 
-#ifndef THREAD
-extern int my_errno;		/* Last error in mysys */
-#else
+#include <errno.h>
+#define my_errno (errno)
+
+#ifdef THREAD
 #include <my_pthread.h>
 #endif
 

=== modified file 'mysys/my_static.c'
--- mysys/my_static.c	2008-06-25 05:29:13 +0000
+++ mysys/my_static.c	2008-06-30 05:43:45 +0000
@@ -32,9 +32,6 @@
 ulong		my_stream_opened=0,my_file_opened=0, my_tmp_file_created=0;
 ulong           my_file_total_opened= 0;
 int my_umask=0664, my_umask_dir=0777;
-#ifndef THREAD
-int my_errno=0;
-#endif
 struct st_my_file_info my_file_info_default[MY_NFILE]= {{0,UNOPEN}};
 uint   my_file_limit= MY_NFILE;
 struct st_my_file_info *my_file_info= my_file_info_default;

